glsnake(6x)

NAME
glsnake - OpenGL enhanced Rubik's Snake cyclewaster.

SYNOPSIS
glsnake [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--fps] [--wireframe] [--altcolour] [--angvel angular] [--explode distance] [--statictime milliseconds] [--yangvel angle] [--zangvel angle]

DESCRIPTION

glsnake is an imitation of Rubiks' Snake, using OpenGL.

OPTIONS
glsnake accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fps
    Display the current frame rate, CPU load, and polygon count.

--wireframe
    Display the snake in wireframe mode, rather than the default solid mode.

--altcolour
    Use the alternate colour scheme for the snake. Shape identification using colour will be disabled.

-angvel angular
    Change the speed at which the snake morphs to a new shape.

-explode distance
    Change the distance between the nodes of a snake.

--statictime milliseconds
    Change the time between morphs.

--yangvel angle
    Change the angle of rotation around the Y axis per frame.

--zangvel angle
    Change the angle of rotation around the Z axis per frame.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
https://spacepants.org/src/glsnake/

BUGS
The snake will happily intersect itself while morphing (this is not a bug).

The rotation/camera position sucks.

COPYRIGHT
Copyright © 2001, 2002 by Jamie Wilkinson, Andrew Bennetts, and Peter Aylett.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Jamie Wilkinson <jaq@spacepants.org>, Andrew Bennetts <andrew@puzzling.org>, and Peter Aylett <peter@ylett.com>. Ported to XScreenSaver by Jamie Wilkinson.